Last Comment Bug 808399 - Remove build support for BeOS and VMS
: Remove build support for BeOS and VMS
Status: RESOLVED FIXED
:
Product: MailNews Core
Classification: Components
Component: Build Config (show other bugs)
: Trunk
: All All
: -- normal (vote)
: Thunderbird 19.0
Assigned To: Ian Neal
:
:
Mentors:
Depends on: 627277 640838 807488
Blocks: 803854
  Show dependency treegraph
 
Reported: 2012-11-04 06:35 PST by Ian Neal
Modified: 2012-11-10 16:35 PST (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed


Attachments
Remove VMS and BeOS (15.27 KB, patch)
2012-11-04 06:35 PST, Ian Neal
bugspam.Callek: review-
Details | Diff | Splinter Review
Remove VMS and BeOS with extra vigour [Checked in: Comment 5] (19.51 KB, patch)
2012-11-10 07:58 PST, Ian Neal
bugspam.Callek: review+
Details | Diff | Splinter Review

Description Ian Neal 2012-11-04 06:35:37 PST
Created attachment 678113 [details] [diff] [review]
Remove VMS and BeOS

This ports to comm-central:
* Bug 627277 - rm -r widget/src/beos
* Bug 640838 - Remove OpenVMS support

also depends on bug 807488
Comment 1 Justin Wood (:Callek) 2012-11-09 23:41:11 PST
Comment on attachment 678113 [details] [diff] [review]
Remove VMS and BeOS

Review of attachment 678113 [details] [diff] [review]:
-----------------------------------------------------------------

Postponing this one, but I do see at least (in http://hg.mozilla.org/mozilla-central/rev/1feb4a7c7ca6 ) that dependancies.beos needs removing from c-c/Makefile.in as well.

Please update, run through try and I'll give it another shot.
Comment 2 Ian Neal 2012-11-10 07:58:28 PST
Created attachment 680362 [details] [diff] [review]
Remove VMS and BeOS with extra vigour [Checked in: Comment 5]

Add some extra removals
Comment 3 Mozilla RelEng Bot 2012-11-10 12:00:31 PST
Try run for 0c1da250d71f is complete.
Detailed breakdown of the results available here:
    https://tbpl.mozilla.org/?tree=Try&rev=0c1da250d71f
Results (out of 33 total builds):
    success: 22
    warnings: 9
    failure: 2
Builds (or logs if builds failed) available at:
http://ftp.mozilla.org/pub/mozilla.org/firefox/try-builds/iann_cvs@blueyonder.co.uk-0c1da250d71f
Comment 4 Justin Wood (:Callek) 2012-11-10 15:20:10 PST
Comment on attachment 680362 [details] [diff] [review]
Remove VMS and BeOS with extra vigour [Checked in: Comment 5]

Review of attachment 680362 [details] [diff] [review]:
-----------------------------------------------------------------

::: suite/app/Makefile.in
@@ -82,5 @@
>  endif
>  
> -ifeq ($(OS_ARCH),BeOS)
> -BEOS_PROGRAM_RESOURCE = apprunner-beos.rsrc
> -endif

(self frown at Splinter not showing in here that you did hg rm the file)
Comment 5 Ian Neal 2012-11-10 16:35:08 PST
Comment on attachment 680362 [details] [diff] [review]
Remove VMS and BeOS with extra vigour [Checked in: Comment 5]

http://hg.mozilla.org/comm-central/rev/7465c559c0a5

Note You need to log in before you can comment on or make changes to this bug.